Reply to topic

gdrive problem following kde applications 19.04 installation

suffolkman
Registered Member
Posts
2
Karma
0
Following installation of KDE apps 19.04, I found that gdrive no longer functions within Dolphin. If I click my gmail account name on the left hand panel, Dolphin returns the message: "Unable to create io-slave. klauncher said: Error loading '/usr/lib/x86_64-linux-gnu/qt5/plugins/kf5/kio/gdrive.so'".

I have checked that gdrive.so is installed within the above directory. In addition, kio, kio-gdrive, kio-extras and kio-extras-data are all installed, along with kaccounts-integration, kaccounts-providers, and libkaccounts1.

User forums have some advice on this problem, mostly along the lines of "remove gdrive and your gmail account from Online Accounts in Settings, reboot, then reinstall". I have tried this, but with no success - I still get the above error message.

Is this a known problem following KDE apps 19.04, or is this just a coincidence? Certainly gdrive was working well before 19.04 came along. Any help or advice you can give will be gratefully received. Thank you.
User avatar Mamarok
Manager
Posts
3777
Karma
11
OS
Probably just a coincidence, I just tried here, works fine. Mind you, I only just set it up for the first time, maybe erasing all your google.com instances in the setup and recreating it might help.


Mamarok, hanging out in the Amarok forum since August, 2007
Currently running Kubuntu 19.04, Plasma 5.16.4
User avatar jeremyfisher
Registered Member
Posts
12
Karma
0
OS
Same problem as friend suffolkman.

Everything worked fine before the last update.
User avatar waynes
Registered Member
Posts
80
Karma
0
Same problem here.
I can also confirm that deleting & reinstating your Google account in "Online Accounts" doesn't work.
thunder422
Registered Member
Posts
38
Karma
0
OS
I can confirm that setting this up for the first time on KDE Neon (with applications 19.04) gives the "Unable to create io-slave. klauncher said: Error loading '/usr/lib/x86_64-linux-gnu/qt5/plugins/kf5/kio/gdrive.so'" error in Dolphin.


Currently using KDE Neon 5.16 with Windows 10 in a VM; migrated from Linux Mint 17.3
User avatar blue_bullet
Registered Member
Posts
42
Karma
0
OS
Here's a possible workaround. I have been using Insync instead of grive for several years now with no issues. I am assuming gdrive does the same thing as grive.

https://www.insynchq.com/why

You may have to pay for it now, but it was free for me at the time I got it so I may be grandfathered in. Probably not open source ... yada
Still it has served me well keeping 5 linux machines synced on 2 Gmail accounts.


Migrated from Linux Mint 17.3/18.3 KDE to KDE neon User Edition 5.15
suffolkman
Registered Member
Posts
2
Karma
0
Following my initial post on Sunday 21 April 2019, the gdrive problem has now been fixed following today's update to Dolphin kio-gdrive.

Many thanks developers and to fellow Neon users who responded to my post.
VA3DBJ
Registered Member
Posts
6
Karma
0
Seems the issue is back. Been getting "Unable to create io-slave. klauncher said: Error loading '/usr/lib/x86_64-linux-gnu/qt5/plugins/kf5/kio/gdrive.so'." for the past few weeks. Just upgraded to the lastest released package yesterday, with the same error.

More of the error:

david@kde-neon:~$ kioclient5 exec gdrive:/
kf5.kio.core: couldn't create slave: "klauncher said: Error loading '/usr/lib/x86_64-linux-gnu/qt5/plugins/kf5/kio/gdrive.so'."
kf5.kio.widgets: KRun(0x55df32e5c220) ERROR 173 "Unable to create io-slave. klauncher said: Error loading '/usr/lib/x86_64-linux-gnu/qt5/plugins/kf5/kio/gdrive.so'."
herophuong
Registered Member
Posts
25
Karma
0
OS
Problem is still there. Latest KDE Neon here. :'(
bmirtsching
Registered Member
Posts
1
Karma
0
Problem is still there on my system too. Was working just a few days ago. I do updates daily.
askembris
Registered Member
Posts
26
Karma
0
OS
I am also getting this in 19.08 in OpenSUSE Tumbleweed.

Has anyone worked any solution out yet?

(apart from the reboot / logout / recreate account, etc suggestions, which don't seem to work)
stephenhenderson
Registered Member
Posts
15
Karma
0
I have problem also
mparillo
Registered Member
Posts
9
Karma
0
OS
askembris
Registered Member
Posts
26
Karma
0
OS
mparillo wrote:Maybe it needs a rebuild?
https://bugs.archlinux.org/task/62281


Well, the bug in question was for version 1.2.5 and was fixed but I am encountering the error on 1.2.7. Is the reason still valid?
mparillo
Registered Member
Posts
9
Karma
0
OS
The symptom looked similar, so I was wondering if the resolution would also be similar.

 
Reply to topic

Bookmarks



Who is online

Registered users: bartoloni, Bing [Bot], egerlach, Exabot [Bot], Google [Bot], kamathraghavendra, mcoudert, Sogou [Bot], stephanw